#!/usr/bin/env perl
use strict;
use opal;

unshift (@ARGV, '\$0');
my $opt   = new opal::option ($#ARGV + 1, \@ARGV);

my $timer = new opal::Timer ("train");
my $m = new opal::Model ($opt);

$timer->startTimer ();
$m->train_from_file ($opt->{train}, $opt->{iter}, $opt->{output} == 1 ? $opt->{test} : "");
$m->save ($opt->{model});
$timer->stopTimer ();

$timer->printElapsed ();

$timer = new opal::Timer ("test");
$m = new opal::Model ($opt);

$timer->startTimer ();
$m->load ($opt->{model});
$m->test_on_file ($opt->{test}, $opt->{output});
$timer->stopTimer ();

$timer->printElapsed ();
